package com.infine.blog.equals.color;

import junit.framework.TestCase;

import org.junit.Test;

public class RgbColorTest {

	@Test
	public void testAllowedValue() {
		RgbColor col = RgbColor.getColor(1, 2, 4);
		RgbColor col3 = RgbColor.getColor(0, 2, 255);

		try {
			RgbColor col2 = RgbColor.getColor(1, 2, 356);
			TestCase.fail("Value for blue is bad - should fail");
		} catch (IllegalArgumentException e) {
			System.out.println("Normal Exception");
		}

		try {
			RgbColor col2 = RgbColor.getColor(-11, 2, 356);
			TestCase.fail("Value for blue and red is bad - should fail");
		} catch (IllegalArgumentException e) {
			System.out.println("Normal Exception");
		}
	}

	@Test
	public void testKey() {
		RgbColor col = RgbColor.getColor(1, 2, 4);
		System.out.println(col.hashCode());
	}

}
